ON_BrepVertex Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_brep.h>`

Inheritance diagram for ON_BrepVertex:

## Public Member Functions

| ON_BrepVertex ()
| ON_BrepVertex (int)
ON_BrepVertex & | operator= (const ON_BrepVertex &)
unsigned int | SizeOf () const
ON__UINT32 | DataCRC (ON__UINT32 current_remainder) const
ON_BOOL32 | IsValid (ON_TextLog *text_log=NULL) const
void | Dump (ON_TextLog &) const
ON_BOOL32 | Write (ON_BinaryArchive &) const
ON_BOOL32 | Read (ON_BinaryArchive &)
ON_COMPONENT_INDEX | ComponentIndex () const
bool | SetPoint (const ON_3dPoint &)
ON_3dPoint | Point () const
double | Tolerance () const
int | EdgeCount () const
Public Member Functions inherited from ON_Point
| ON_Point ()
| ON_Point (const ON_Point &)
| ON_Point (const ON_3dPoint &)
| ON_Point (double, double, double)
| ~ON_Point ()
ON_Point & | operator= (const ON_Point &)
ON_Point & | operator= (const ON_3dPoint &)
| operator double * ()
| operator const double * () const
| operator ON_3dPoint * ()
| operator const ON_3dPoint * () const
| operator ON_3dPoint & ()
| operator const ON_3dPoint & () const
ON_BOOL32 | IsValid (ON_TextLog *text_log=NULL) const
void | Dump (ON_TextLog &) const
ON_BOOL32 | Write (ON_BinaryArchive &) const
ON_BOOL32 | Read (ON_BinaryArchive &)
ON::object_type | ObjectType () const
int | Dimension () const
ON_BOOL32 | GetBBox (double *, double *, ON_BOOL32=false) const
ON_BOOL32 | Transform (const ON_Xform &)
bool | IsDeformable () const
bool | MakeDeformable ()
ON_BOOL32 | SwapCoordinates (int, int)
Public Member Functions inherited from ON_Geometry
| ON_Geometry ()
| ON_Geometry (const ON_Geometry &)
ON_Geometry & | operator= (const ON_Geometry &)
virtual | ~ON_Geometry ()
ON_BoundingBox | BoundingBox () const
ON_BOOL32 | GetBoundingBox (ON_BoundingBox &bbox, int bGrowBox=false) const
ON_BOOL32 | GetBoundingBox (ON_3dPoint &bbox_min, ON_3dPoint &bbox_max, int bGrowBox=false) const
ON_BOOL32 | Rotate (double sin_angle, double cos_angle, const ON_3dVector &rotation_axis, const ON_3dPoint &rotation_center)
ON_BOOL32 | Rotate (double rotation_angle, const ON_3dVector &rotation_axis, const ON_3dPoint &rotation_center)
ON_BOOL32 | Translate (const ON_3dVector &translation_vector)
ON_BOOL32 | Scale (double scale_factor)
virtual bool | GetTightBoundingBox (ON_BoundingBox &tight_bbox, int bGrowBox=false, const ON_Xform *xform=0) const
virtual void | ClearBoundingBox ()
virtual ON_BOOL32 | HasBrepForm () const
virtual ON_Brep * | BrepForm (ON_Brep *brep=NULL) const
virtual bool | EvaluatePoint (const class ON_ObjRef &objref, ON_3dPoint &P) const
Public Member Functions inherited from ON_Object
bool | CopyFrom (const ON_Object *src)
| ON_Object ()
| ON_Object (const ON_Object &)
ON_Object & | operator= (const ON_Object &)
virtual | ~ON_Object ()
void | EmergencyDestroy ()
virtual void | MemoryRelocate ()
ON_BOOL32 | IsKindOf (const ON_ClassId *pClassId) const
virtual ON_UUID | ModelObjectId () const
bool | SetUserString (const wchar_t *key, const wchar_t *string_value)
int | SetUserStrings (int count, const ON_UserString *user_strings, bool bReplace)
bool | GetUserString (const wchar_t *key, ON_wString &string_value) const
int | GetUserStrings (ON_ClassArray< ON_UserString > &user_strings) const
int | GetUserStringKeys (ON_ClassArray< ON_wString > &user_string_keys) const
int | UserStringCount () const
ON_BOOL32 | AttachUserData (ON_UserData *pUserData)
ON_BOOL32 | DetachUserData (ON_UserData *pUserData)
ON_UserData * | GetUserData (const ON_UUID &userdata_uuid) const
void | PurgeUserData ()
ON_UserData * | FirstUserData () const
void | TransformUserData (const ON_Xform &xform)
void | CopyUserData (const ON_Object &source_object)
void | MoveUserData (ON_Object &source_object)
virtual void | DestroyRuntimeCache (bool bDelete=true)

## Public Attributes

ON_U | m_vertex_user
int | m_vertex_index
ON_SimpleArray< int > | m_ei
double | m_tolerance
Public Attributes inherited from ON_Point
ON_3dPoint | point

## Detailed Description

Definition at line 49 of file opennurbs_brep.h.

## Constructor & Destructor Documentation

## ON_BrepVertex() [1/2]

ON_BrepVertex::ON_BrepVertex | ( |  | ) |

## ON_BrepVertex() [2/2]

ON_BrepVertex::ON_BrepVertex | ( | int |  | ) |

## Member Function Documentation

## ComponentIndex()

ON_COMPONENT_INDEX ON_BrepVertex::ComponentIndex | ( |  | ) | const

virtual

Reimplemented from ON_Geometry.

## DataCRC()

ON__UINT32 ON_BrepVertex::DataCRC | ( | ON__UINT32 | current_remainder | ) | const

virtual

Reimplemented from ON_Object.

## Dump()

void ON_BrepVertex::Dump | ( | ON_TextLog & |  | ) | const

virtual

Reimplemented from ON_Object.

## EdgeCount()

int ON_BrepVertex::EdgeCount | ( |  | ) | const

## IsValid()

ON_BOOL32 ON_BrepVertex::IsValid | ( | ON_TextLog * | text_log = `NULL` | ) | const

virtual

Implements ON_Object.

## operator=()

ON_BrepVertex& ON_BrepVertex::operator= | ( | const ON_BrepVertex & |  | ) |

## Point()

ON_3dPoint ON_BrepVertex::Point | ( |  | ) | const

## Read()

ON_BOOL32 ON_BrepVertex::Read | ( | ON_BinaryArchive & |  | ) |

virtual

Reimplemented from ON_Object.

## SetPoint()

bool ON_BrepVertex::SetPoint | ( | const ON_3dPoint & |  | ) |

## SizeOf()

unsigned int ON_BrepVertex::SizeOf | ( |  | ) | const

virtual

Reimplemented from ON_Object.

## Tolerance()

double ON_BrepVertex::Tolerance | ( |  | ) | const

## Write()

ON_BOOL32 ON_BrepVertex::Write | ( | ON_BinaryArchive & |  | ) | const

virtual

Reimplemented from ON_Object.

## Member Data Documentation

## m_ei

ON_SimpleArray<int> ON_BrepVertex::m_ei

Definition at line 150 of file opennurbs_brep.h.

## m_tolerance

double ON_BrepVertex::m_tolerance

Definition at line 172 of file opennurbs_brep.h.

## m_vertex_index

int ON_BrepVertex::m_vertex_index

Definition at line 61 of file opennurbs_brep.h.

## m_vertex_user

ON_U ON_BrepVertex::m_vertex_user

Definition at line 58 of file opennurbs_brep.h.

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_brep.h